searchNodes=[{"doc":"Ecto schema to keep track of registered apps on ActivityPub servers.","ref":"ActivityPubClient.App.html","title":"ActivityPubClient.App","type":"module"},{"doc":"Requests to the chat API in Pleroma. Reference: https://docs-develop.pleroma.social/backend/development/API/chats/","ref":"ActivityPubClient.Chat.html","title":"ActivityPubClient.Chat","type":"module"},{"doc":"Creates or gets an existing Chat for a certain recipient (identified by Account ID). Use ActivityPubClient.Search.search/3 to get a recipent ID.","ref":"ActivityPubClient.Chat.html#get_chat/2","title":"ActivityPubClient.Chat.get_chat/2","type":"function"},{"doc":"Posts a message to a chat. Expects a client, a chat_id returned by get_chat/2 , the message content, and an optional media ID.","ref":"ActivityPubClient.Chat.html#post_message/4","title":"ActivityPubClient.Chat.post_message/4","type":"function"},{"doc":"Interface for handling %OAuth2.Client{} structs (see OAuth2.Client ).","ref":"ActivityPubClient.Client.html","title":"ActivityPubClient.Client","type":"module"},{"doc":"Gets a valid %OAuth2.Client{} struct. Expects the URL of the server and an ActivityPub ID (most of the time it corresponds to the user profile URL).","ref":"ActivityPubClient.Client.html#client/2","title":"ActivityPubClient.Client.client/2","type":"function"},{"doc":"Sets the OAuth2 code as returned to the user after authorizing the application.","ref":"ActivityPubClient.Client.html#set_code/2","title":"ActivityPubClient.Client.set_code/2","type":"function"},{"doc":"Requests to the search API in Mastodon, also implemented in Pleroma. Reference: https://docs.joinmastodon.org/methods/search/","ref":"ActivityPubClient.Search.html","title":"ActivityPubClient.Search","type":"module"},{"doc":"Searches for accounts, hashtags or statuses. Implemented by Mastodon and Pleroma. Expects a %ActivityPubClient.Client{} struct, the query and a keyword list of optional options. Options can be: account_id: If provided, statuses returned will be authored only by this account max_id: Return results older than this id min_id: Return results immediately newer than this id type: Enum(accounts, hashtags, statuses) exclude_unreviewed: Filter out unreviewed tags? Defaults to false. Use true when trying to find trending tags resolve: Attempt WebFinger lookup. Defaults to false limit: Maximum number of results to load, per type. Defaults to 20. Max 40 offset: Offset in search results. Used for pagination. Defaults to 0 following: Only include accounts that the user is following. Defaults to false","ref":"ActivityPubClient.Search.html#search/3","title":"ActivityPubClient.Search.search/3","type":"function"},{"doc":"Requests to the status (toot) API in Mastodon, also implemented in Pleroma. Reference: https://docs.joinmastodon.org/methods/statuses/","ref":"ActivityPubClient.Status.html","title":"ActivityPubClient.Status","type":"module"},{"doc":"Posts a status (toot). Implemented by Mastodon and Pleroma. Expects a %ActivityPubClient.Client{} struct, the status content and a keyword list of optional options. Options can be: media_ids: List of Attachment ids to be attached as media in_reply_to_id: ID of the status being replied to, if status is a reply sensitive: Mark status and attached media as sensitive? (boolean) spoiler_text: Text to be shown as a warning or subject before the actual content visibility: Visibility of the posted status. Enumerable oneOf public, unlisted, private, direct scheduled_at: ISO 8601 Datetime at which to schedule a status language: ISO 639 language code for this status","ref":"ActivityPubClient.Status.html#post_status/3","title":"ActivityPubClient.Status.post_status/3","type":"function"},{"doc":"GenServer used to keep a WebSocket connection to an ActivityPub instance. Reference: https://docs.joinmastodon.org/methods/timelines/streaming/#websocket-a-idwebsocketa With inspiration from: https://github.com/GamgeeNL/websocket-client","ref":"ActivityPubClient.SyncServer.html","title":"ActivityPubClient.SyncServer","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"ActivityPubClient.SyncServer.html#child_spec/1","title":"ActivityPubClient.SyncServer.child_spec/1","type":"function"},{"doc":"Upgrades the connection to WebSocket.","ref":"ActivityPubClient.SyncServer.html#open_ws/1","title":"ActivityPubClient.SyncServer.open_ws/1","type":"function"},{"doc":"Starts a SyncServer process. Expects: an %OAuth2.Client{} struct as returned by Client , the type of streaming, can be one of: user public public:local hashtag hashtag:local list direct an optional callback, which will be called when the WebSocket receives data. In the absence of a callback, the will send a message to the process that calls open_ws/1 .","ref":"ActivityPubClient.SyncServer.html#start/3","title":"ActivityPubClient.SyncServer.start/3","type":"function"},{"doc":"Ecto schema to keep track of connected users.","ref":"ActivityPubClient.User.html","title":"ActivityPubClient.User","type":"module"},{"doc":"","ref":"ActivityPubClient.User.Token.html","title":"ActivityPubClient.User.Token","type":"module"},{"doc":"An ActivityPub client library. Developed for Kazarma , a Matrix bridge, it is intended for use with an important number of accounts.","ref":"readme.html","title":"ActivityPubClient","type":"extras"},{"doc":"The package can be installed by adding activity_pub_client to your list of dependencies in mix.exs : def deps do [ { :activity_pub_client , &quot;~&gt; 0.1.1&quot; } ] end","ref":"readme.html#installation","title":"ActivityPubClient - Installation","type":"extras"},{"doc":"Authentication iex&gt; { :needs_authorization , _client , url } = ActivityPubClient.Client . client ( &quot;https://ap_instance.com&quot; , &quot;https://ap_instance.com/users/alice&quot; ) # User should browse to the given URL to get an OAuth2 code iex&gt; ActivityPubClient.Client . set_code ( &quot;https://ap_instance.com/users/alice&quot; , &quot;X13YCODEY31X&quot; ) # Then the previous call will return a Client struct with a valid access token iex&gt; { :ok , client } = ActivityPubClient.Client . client ( &quot;https://ap_instance.com&quot; , &quot;https://ap_instance.com/users/alice&quot; ) Streaming iex&gt; { :ok , client } = ActivityPubClient.Client . client ( &quot;https://ap_instance.com&quot; , &quot;https://ap_instance.com/users/alice&quot; ) # Start a new SyncClient process iex&gt; ActivityPubClient.SyncServer . start ( client , &quot;public&quot; ) # Open the WebSocket iex&gt; ActivityPubClient.SyncServer . open_ws ( client ) # Receive messages iex&gt; receive do ...&gt; { :websocket_open } -&gt; nil ...&gt; %{ activitypub_message : message } -&gt; do_something ( message ) ...&gt; end # ActivityPubClient.SyncServer.start/3 can also be used, with a callback iex&gt; ActivityPubClient.SyncServer . start ( client , &quot;public&quot; , &amp; do_something / 1 ) Search iex&gt; { :ok , client } = ActivityPubClient.Client . client ( &quot;https://ap_instance.com&quot; , &quot;https://ap_instance.com/users/alice&quot; ) iex&gt; { :ok , %{ &quot;accounts&quot; =&gt; accounts , &quot;hashtags&quot; =&gt; hashtags , &quot;statuses&quot; =&gt; statuses } } = ActivityPubClient.Search . search ( client , &quot;bob&quot; ) Statuses iex&gt; { :ok , client } = ActivityPubClient.Client . client ( &quot;https://ap_instance.com&quot; , &quot;https://ap_instance.com/users/alice&quot; ) iex&gt; { :ok , status } = ActivityPubClient.Status . post_status ( client , &quot;Hello World!&quot; ) Chats iex&gt; { :ok , client } = ActivityPubClient.Client . client ( &quot;https://ap_instance.com&quot; , &quot;https://ap_instance.com/users/alice&quot; ) iex&gt; { :ok , %{ &quot;accounts&quot; =&gt; [ %{ &quot;id&quot; =&gt; account_id } ] } } = ActivityPubClient.Search . search ( client , &quot;bob@ap_instance&quot; ) iex&gt; { :ok , %{ &quot;id&quot; =&gt; chat_id } } = ActivityPubClient.Chat . get_chat ( client , account_id ) iex&gt; { :ok , message } = ActivityPubClient.Chat . post_message ( client , &quot;dcba987654321&quot; , &quot;Hello!&quot; )","ref":"readme.html#usage","title":"ActivityPubClient - Usage","type":"extras"},{"doc":"Documentation can be found at https://hexdocs.pm/activity_pub_client .","ref":"readme.html#api-documentation","title":"ActivityPubClient - API documentation","type":"extras"}]